import Image from "next/image";
import Link from "next/link";

export default function TestimonialCard({ src, alt, url, innerText, user }) {
  const finalsrc = Boolean(src) ? src : "/images/werefox_logo.png";

  return (
    <div className="rounded-lg container flex overflow-hidden ring-2 ring-werefox-grey-lightest dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
      <Link href={url}>
        <a>
          <div className="flex-1">
            {" "}
            <img
              className="rounded-lg sm:w-32 w-16"
              src={finalsrc}
              alt={alt}
            />{" "}
          </div>
        </a>
      </Link>{" "}
      <div className="animate-wiggle flex-5 p-4 sm:text-lg text-xs text-center text-werefox-pink-dark dark:text-werefox-pink">
        <p>
          {innerText}
          <br />
          {"- "}
          <Link href={url}>
            <a target="_blank">{`@${user}`}</a>
          </Link>
        </p>
      </div>
    </div>
  );
}
